package searchengine.services;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import searchengine.config.SitesList;

@Service
@RequiredArgsConstructor
public class IndexingServiceImpl implements IndexingService {
    boolean indexingIsRunning = false;
    private final SitesList sitesList;

    @Override
    public void startIndexing() {
        if (indexingIsRunning) {
            System.out.println("Индексация уже запущена");
            return;
        }

        System.out.println("Список сайтов для индексации:");
        sitesList.getSites().forEach(site -> System.out.println("URL: " + site.getUrl() + ", Название: " + site.getName()));

        System.out.println("Запуск индексации");
        indexingIsRunning = true;
        System.out.println("Индексация запущена");
    }
}
